<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use App\Models\Team;

class MyTeamsController extends Controller
{

    public function index(Request $request)
    {
        $rows = Team::all();
        return view('my-teams.index', compact('rows'));
    }

    public function show(Request $request, $uid)
    {
        $row = Team::where('uid', $uid)->first();
        return view('my-teams.show', compact('row'));
    }

    public function create(Request $request)
    {
        return view('my-teams.create');
    }

    public function update(Request $request, $uid)
    {
        $row = Team::where('uid', $uid)->first();
        return view('my-teams.update', compact('row'));
    }

}
